Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class AbstractKeyBasedMap.EntrySet.EntrySetIterator

`java.lang.Object
com.tangosol.util.AbstractKeyBasedMap.EntrySet.EntrySetIterator`

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  AbstractKeyBasedMap.EntrySet

      protected class AbstractKeyBasedMap.EntrySet.EntrySetIterator

extends java.lang.Object
implements java.util.Iterator

An Iterator over the EntrySet that is backed by the Map.

Field Summary
`protected java.util.Iterator` | `m_iterKeys` Key iterator.

Constructor Summary
`protected` | `AbstractKeyBasedMap.EntrySet.EntrySetIterator()`

Method Summary
`boolean` | `hasNext()` Returns `true` if the iteration has more elements.
`java.lang.Object` | `next()` Returns the next element in the interation.
`void` | `remove()` Removes from the underlying collection the last element returned by the iterator.

Field Detail

### m_iterKeys

    protected java.util.Iterator m_iterKeys

  Key iterator.

Constructor Detail

### AbstractKeyBasedMap.EntrySet.EntrySetIterator

    protected AbstractKeyBasedMap.EntrySet.EntrySetIterator()

Method Detail

### hasNext

    public boolean hasNext()

  Returns `true` if the iteration has more elements. (In other words, returns `true` if `next` would return an element rather than throwing an exception.)
  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Returns:
    `true` if the iterator has more elements

### next

    public java.lang.Object next()

  Returns the next element in the interation.
  Specified by:
    `next` in interface `java.util.Iterator`
  Returns:
    the next element in the interation
  Throws:
    `java.util.NoSuchElementException` - iteration has no more elements

### remove

    public void remove()

  Removes from the underlying collection the last element returned by the iterator. This method can be called only once per call to `next`. The behavior of an iterator is unspecified if the underlying collection is modified while the iteration is in progress in any way other than by calling this method.
  Specified by:
    `remove` in interface `java.util.Iterator`
  Throws:
    `java.lang.IllegalStateException` - if the `next` method has not yet been called, or the `remove` method has already been called after the last call to the `next` method

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.